Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.sax
Class LoggingErrorHandler

    java.lang.Object
      org.apache.ode.utils.sax.LoggingErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class LoggingErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

An `ErrorHandler` implementation that dumps all of the error messages onto a logging channel at the debug level.

Constructor Summary
`LoggingErrorHandler()` Construct a new instance that dumps messages onto the default logging channel defined by this class.
`LoggingErrorHandler(org.apache.commons.logging.Log log)` Construct a new instance that dumps messages onto a specific logging channel.

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingErrorHandler

    public LoggingErrorHandler()

  Construct a new instance that dumps messages onto the default logging channel defined by this class.

### LoggingErrorHandler

    public LoggingErrorHandler(org.apache.commons.logging.Log log)

  Construct a new instance that dumps messages onto a specific logging channel.

  Parameters:
    `log` - the `Log` on which to dump messages.

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ErrorHandler.warning(org.xml.sax.SAXParseException)`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ErrorHandler.error(org.xml.sax.SAXParseException)`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD